
Redmine - Defect #19187

Roadmap links in subproject 

2015-02-25 17:30 - Dmc NSG

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.6.2

Description

I have redmine with Project1 and Subproject2. There are two versions in Project1: Ver1 and Ver2, both shared with subprojects.

Then I have two users: Admin1 and User2.

Admin can view everything. User2 is assigned to Subproject2.

There are 2 issues in Project1/Ver1, 3 in Project1/Ver2 and 4 in Subproject2/Ver1.

For User2 links in roadmap are broken. They all link to Project1. Numbers are wrong too, this particular user should see only 4

issues, and not everything from Project1 - 9 issues. Links points to Project1 so they give 403 for that user.

I think that version.issue count should include permissions. Links should point to right context which is actual project.

Or maybe there should be more links for more cotexts like:

9 issues   (0 closed — 9 open) - Project1

4 issues   (0 closed — 4 open) - Subproject1/Ver2

Right now this place constantly gives 403 error, users are not allowed to view parent project, they expect to see their context (smaller

number of issues and query from actual project).

Related issues:

Related to Redmine - Defect #15248: Ticket count in roadmap view wrong Closed

Related to Redmine - Defect #19059: Wrong number of issues for a version in t... Closed

Is duplicate of Redmine - Patch #27676: Information leak on roadmap and versi... Closed

History

#1 - 2015-03-25 17:07 - Toshi MARUYAMA

- Related to Defect #15248: Ticket count in roadmap view wrong added

#2 - 2015-03-25 17:08 - Toshi MARUYAMA

- Related to Defect #19059: Wrong number of issues for a version in the roadmap added

#3 - 2017-02-22 17:03 - Kevin Palm

+1

#4 - 2017-12-01 14:40 - Marius BĂLTEANU

- File test_show_issue_calculations_should_take_into_account_only_visible_issues.patch added

This issue was fixed by r17051.

I've attached a test that passes on the current trunk, but fails on r17049 or any other revision before.

In case of #27676 will not be made public, I propose to add this issue to version 4.0.0 because it deserve to be in the changelog, it is an important fix.

#5 - 2018-03-31 09:06 - Marius BĂLTEANU

@Go Maeda, can you take a look on this issue and my last comment? I really think that it is important to add this ticket and the related one to the

changelog.

#6 - 2018-03-31 09:22 - Go MAEDA

Marius BALTEANU wrote:
https://www.redmine.org/projects/redmine/repository/svn/revisions/17051
https://www.redmine.org/projects/redmine/repository/svn/revisions/17049
https://www.redmine.org/issues/27676
https://www.redmine.org/versions/99


In case of #27676 will not be made public, I propose to add this issue to version 4.0.0 because it deserve to be in the changelog, it is an

important fix.

 Do you think it will be OK if #27676 appears in the changelog like other security issues? If so, I will set #27676's target version to 4.0.0 and commit

the test you wrote as a part of #27676.

#7 - 2018-03-31 10:20 - Marius BĂLTEANU

Go MAEDA wrote:

Do you think it will be OK if #27676 appears in the changelog like other security issues? If so, I will set #27676's target version to 4.0.0 and

commit the test you wrote as a part of #27676.

 Sounds good to me.

That means we can close these two tickets (this one and #19059) with resolution "Duplicate"?

#8 - 2018-04-01 04:24 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Marius BALTEANU wrote:

This issue was fixed by r17051.

 Exactly.

I've attached a test that passes on the current trunk, but fails on r17049 or any other revision before.

 Committed the test in r17251.

#9 - 2018-04-01 04:25 - Go MAEDA

- Is duplicate of Patch #27676: Information leak on roadmap and versions view added

Files

test_show_issue_calculations_should_take_into_account_only_visible_issues.patch1.15 KB 2017-12-01 Marius BĂLTEANU
